---
title: Hurdles Rates
slug: fIRF-hurdles-rates
createdAt: 2025-09-10T11:52:05.061Z
---

:::ApiMethodV2
```json
{
  "name": "Hurdles Rate",
  "method": "POST",
  "url": "https://wsb.bakuun.com/v2/push-ari/TPSXXX/XXXXX",
  "description": "Allows Bakuun to receive and process hurdle rate updates for the given property and date range, ensuring all minimum-rate thresholds and revenue management constraints are aligned with the TPS Partner’s configuration.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "F6DFMY8yp37HbzLk13k1v",
        "language": "json",
        "code": "{\n    \"sharePost\": \"string\",\n    \"sourceId\": \"string\",\n    \"propertyId\": \"string\",\n    \"startDateYmd\": \"YYYY-MM-DD\",\n    \"endDateYmd\": \"YYYY-MM-DD\",\n    \"action\": \"hurdlesPriceUpdate\",\n    \"dailyRates\": [\n        {\n            \"roomId\": \"string\",\n            \"rateId\": \"string\",\n            \"amountBeforeTax\": \"string\",\n            \"amountAfterTax\": \"string\",\n            \"currencyCode\": \"string\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "W0Cd75Tk-MpHWYaKt6_73",
        "language": "curl",
        "code": "curl --location 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"sharePost\": \"String\",\n  \"sourceId\": \"String\",\n  \"propertyId\": \"String\",\n  \"startDateYmd\": \"String\",\n  \"endDateYmd\": \"String\",\n  \"action\": \"String\",\n  \"dailyRates\": {\n    \"roomId\": \"\",\n    \"rateId\": \"\",\n    \"amountBeforeTax\": \"\",\n    \"amountAfterTax\": \"\",\n    \"currencyCode\": \"\"\n  }\n}'",
        "customLabel": ""
      },
      {
        "id": "_AiJg6ooSaJZ5CU-X02SH",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"sharePost\": \"String\",\n      \"sourceId\": \"String\",\n      \"propertyId\": \"String\",\n      \"startDateYmd\": \"String\",\n      \"endDateYmd\": \"String\",\n      \"action\": \"String\",\n      \"dailyRates\": {\n         \"roomId\": \"\",\n         \"rateId\": \"\",\n         \"amountBeforeTax\": \"\",\n         \"amountAfterTax\": \"\",\n         \"currencyCode\": \"\"\n      }\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "-1UKH4lrQt0eVviHD178z",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"sharePost\": \"String\",\n   \"sourceId\": \"String\",\n   \"propertyId\": \"String\",\n   \"startDateYmd\": \"String\",\n   \"endDateYmd\": \"String\",\n   \"action\": \"String\",\n   \"dailyRates\": {\n      \"roomId\": \"\",\n      \"rateId\": \"\",\n      \"amountBeforeTax\": \"\",\n      \"amountAfterTax\": \"\",\n      \"currencyCode\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/v2/push-ari/CPB46/881826\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "e86_c9-dtBve_TmEyojus",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/v2/push-ari/CPB46/881826\"\n\npayload = json.dumps({\n   \"sharePost\": \"String\",\n   \"sourceId\": \"String\",\n   \"propertyId\": \"String\",\n   \"startDateYmd\": \"String\",\n   \"endDateYmd\": \"String\",\n   \"action\": \"String\",\n   \"dailyRates\": {\n      \"roomId\": \"\",\n      \"rateId\": \"\",\n      \"amountBeforeTax\": \"\",\n      \"amountAfterTax\": \"\",\n      \"currencyCode\": \"\"\n   }\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "FpMjUU1geuAONaqEJCmX9",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/v2/push-ari/CPB46/881826\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"sharePost\": \"String\",\n   \"sourceId\": \"String\",\n   \"propertyId\": \"String\",\n   \"startDateYmd\": \"String\",\n   \"endDateYmd\": \"String\",\n   \"action\": \"String\",\n   \"dailyRates\": {\n      \"roomId\": \"\",\n      \"rateId\": \"\",\n      \"amountBeforeTax\": \"\",\n      \"amountAfterTax\": \"\",\n      \"currencyCode\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "F6DFMY8yp37HbzLk13k1v"
  },
  "results": {
    "languages": [
      {
        "id": "Nk06oAPM-SJCHzGv2ZylY",
        "language": "200",
        "code": "{\n    \"success\": true,\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "hBPmH90t3WIXGgKyNmphY",
        "language": "401",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 401,\n            \"message\": \"Invalid amount\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "6zziLtg1h2ff_wto-R8WV",
        "language": "402",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 425,\n            \"message\": \"Invalid before taxes amount \"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "lAV04x-ysdGm3_SsnGHC7",
        "language": "404",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 404,\n            \"message\": \"Invalid start date\"\n        }\n    ]\n    }",
        "customLabel": ""
      },
      {
        "id": "mXok8K-nUBsnpLJ22KTle",
        "language": "405",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 405,\n            \"message\": \"Invalid end date\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n    }",
        "customLabel": ""
      },
      {
        "id": "WCEyfpr--RexmCv0YiAgS",
        "language": "408",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 408,\n            \"message\": \"Processing error\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n    }",
        "customLabel": ""
      },
      {
        "id": "o47UHRe8ZEsuhYi5Rlvcl",
        "language": "415",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 415,\n            \"message\": \"Invalid authentication key\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "bY6marnhie6-kzGkeLKbs",
        "language": "416",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 416,\n            \"message\": \"Overlapping data range\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "HF6dJkV-KVqKOoT_ujKbj",
        "language": "417",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 440,\n            \"message\": \"Invalid source ID\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "4fpcQzPN0Hx0RP1xGnDmo",
        "language": "418",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 442,\n            \"message\": \"Endpoint is not active\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "TmhCxf0m9aw57yUlhuuaJ",
        "language": "421",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 421,\n            \"message\": \"Invalid decimal format\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "zW9yU5dUEvvqhh7n3gvgs",
        "language": "422",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 451,\n            \"message\": \"Invalid room mapping\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "8DTaz7mwE3-eIGKDxSVcu",
        "language": "423",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 453,\n            \"message\": \"Mapping is not active\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "mb14ROd0LiBV6sV9fWfzC",
        "language": "424",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 454,\n            \"message\": \"Invalid endpoint\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "8ViCnRIkR8kwhnvfylNM_",
        "language": "426",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 453,\n            \"message\": \"Mapping is not active\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "2P841Kkn9BOJgc9XDo1hJ",
        "language": "428",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 454,\n            \"message\": \"Invalid endpoint\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "zcwpkCoaI2Gcs_LMjv5yy",
        "language": "500",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 500,\n            \"message\": \"Internal server error\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "em_Kpv2oZfn8MCO7_f1SV",
        "language": "502",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 502,\n            \"message\": \"Bad gateway\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "zzzE2J6Y7YZDula_qc4OD",
        "language": "503",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 503,\n            \"message\": \"Service unavailable\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      },
      {
        "id": "B4wRfM8K9w0KuyctvGtOu",
        "language": "504",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 504,\n            \"message\": \"Endpoint request timed-out\"\n        }\n    ],\n    \"trackingId\": \"68c168dd04829387650a476d\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "6zziLtg1h2ff_wto-R8WV"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "sharePost",
        "kind": "required",
        "type": "string",
        "description": "System-generated, human-readable secret API access key (unique per account).",
        "": "System-generated, human-readable secret API access key (unique per account)."
      },
      {
        "name": "sourceId",
        "kind": "required",
        "type": "string",
        "description": "Connectivity Partner identifier assigned by Bakuun (e.g. CPBXX)",
        "": "Connectivity Partner identifier assigned by Bakuun (e.g. CPBXX)"
      },
      {
        "name": "propertyId",
        "kind": "required",
        "type": "string",
        "description": "Unique property identifier (shared mapping between Bakuun and the TPS partner).",
        "": "Unique property identifier (shared mapping between Bakuun and the TPS partner)."
      },
      {
        "name": "startDateYmd",
        "kind": "required",
        "type": "string",
        "description": "Start date of the update range, formatted as YYYY-MM-DD.",
        "": "Start date of the update range, formatted as YYYY-MM-DD."
      },
      {
        "name": "endDateYmd",
        "kind": "required",
        "type": "string",
        "description": "End date of the update range, formatted as YYYY-MM-DD.",
        "": "End date of the update range, formatted as YYYY-MM-DD."
      },
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Always set as hurdlesPriceUpdate",
        "": "Always set as hurdlesPriceUpdate"
      },
      {
        "name": "dailyRates",
        "kind": "required",
        "type": "object",
        "description": "",
        "": "dailyRates",
        "children": [
          {
            "name": "roomId",
            "kind": "required",
            "type": "string",
            "description": "ID identifying the room type (as mapped between Bakuun and the TPS partner)."
          },
          {
            "name": "rateId",
            "kind": "required",
            "type": "string",
            "description": "ID identifying the rate type (as mapped between Bakuun and the TPS partner)"
          },
          {
            "name": "amountBeforeTax",
            "kind": "required",
            "type": "string",
            "description": "Amount before taxes/fees. N/A to clear the value."
          },
          {
            "name": "amountAfterTax",
            "kind": "required",
            "type": "string",
            "description": "Amount after taxes/fees. N/A to clear the value."
          },
          {
            "name": "currencyCode",
            "kind": "required",
            "type": "string",
            "description": "3-letter ISO currency code (e.g. EUR, USD, SGD)."
          }
        ],
        "schema": [
          {
            "name": "roomId",
            "kind": "required",
            "type": "string",
            "description": "ID identifying the room type (as mapped between Bakuun and the TPS partner)."
          },
          {
            "name": "rateId",
            "kind": "required",
            "type": "string",
            "description": "ID identifying the rate type (as mapped between Bakuun and the TPS partner)"
          },
          {
            "name": "amountBeforeTax",
            "kind": "required",
            "type": "string",
            "description": "Amount before taxes/fees. N/A to clear the value."
          },
          {
            "name": "amountAfterTax",
            "kind": "required",
            "type": "string",
            "description": "Amount after taxes/fees. N/A to clear the value."
          },
          {
            "name": "currencyCode",
            "kind": "required",
            "type": "string",
            "description": "3-letter ISO currency code (e.g. EUR, USD, SGD)."
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "success",
      "kind": "optional",
      "type": "boolean",
      "description": ""
    },
    {
      "name": "trackingId",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "hurdles-rate",
  "legacyHash": "vzhSUehopTtLCuG25WWeH"
}
```
:::

